Cancel an Automation run
curl --request POST \
--url https://api.checkfu.com/v1/automation_runs/{id}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'checkfu-version: <checkfu-version>' \
--data '{}'import requests
url = "https://api.checkfu.com/v1/automation_runs/{id}/cancel"
payload = {}
headers = {
"checkfu-version": "<checkfu-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'checkfu-version': '<checkfu-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.checkfu.com/v1/automation_runs/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.checkfu.com/v1/automation_runs/{id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"checkfu-version: <checkfu-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.checkfu.com/v1/automation_runs/{id}/cancel"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("checkfu-version", "<checkfu-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.checkfu.com/v1/automation_runs/{id}/cancel")
.header("checkfu-version", "<checkfu-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.checkfu.com/v1/automation_runs/{id}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["checkfu-version"] = '<checkfu-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"type": "automation_run",
"id": "<string>",
"automation_id": "<string>",
"definition_revision": 1,
"agent": {
"type": "agent",
"id": "<string>",
"version": 123
},
"steps": {
"state": "pending",
"result": "completed",
"steps": [
{
"step": "<string>",
"kind": "completed",
"unchanged": true
}
],
"wake_at": "<string>",
"program_fingerprint": "<string>",
"step_attempts": [
{
"step": "<string>",
"attempts": 3
}
],
"step_items": [
{
"step": "<string>",
"total": 1,
"started": 25,
"completed": 25,
"failed": 25,
"rejected": 25,
"refusal": "items_missing"
}
]
},
"session_id": "<string>",
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "<string>"
},
"trigger_context": {
"type": "manual"
},
"created_at": "<string>",
"updated_at": "<string>",
"admission": {
"status": "pending",
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "<string>"
}
},
"execution": {
"status": "not_started",
"wait_reason": "approval",
"cancel_status": "not_requested"
},
"quality": {
"status": "not_requested",
"rounds_completed": 1,
"max_rounds": 1
},
"release": {
"status": "not_requested",
"result": {
"session_id": "<string>",
"input_id": "<string>"
}
},
"settlement": {
"status": "pending",
"usage": {
"data": [
{
"id": "<string>",
"session_id": "<string>",
"run": "<string>",
"attempt": null,
"agent_id": "<string>",
"sequence": 123,
"workspace_id": "<string>",
"principal_id": "<string>",
"anonymous_subject_ref": "<string>",
"recorded_at": "<string>",
"measurement": {
"kind": "managed_tool",
"tool_invocation_id": "<string>",
"selection": {
"managed_tool_id": "<string>",
"managed_tool_release_id": "<string>"
},
"origin": {
"origin_type": "session",
"session_id": "<string>",
"run": "<string>"
},
"price": {
"rate_card_id": "<string>",
"price_microusd": 4503599627370495,
"billing_basis": "valid_result",
"valid_empty_result_billable": true
},
"outcome": {
"outcome_type": "valid_result",
"empty_result": true
}
},
"cost": {
"managed_tool_calls": 1,
"billed_microusd": 4503599627370495,
"rounding_remainder_millionths": 0,
"tokens": "<unknown>",
"active_ms": "<unknown>",
"storage_mib_ms": "<unknown>",
"running_ms": "<unknown>"
},
"automation_id": "<string>",
"evaluation": "<unknown>",
"execution_origin": "<unknown>"
}
],
"next_page": "<string>"
}
},
"cleanup": {
"status": "not_required"
},
"effects": [
{
"type": "memory_proposal",
"memory_store_id": "<string>",
"proposal_id": "<string>"
}
],
"children": [
{
"step_id": "<string>",
"session_id": "<string>",
"input_id": "<string>",
"run_id": "<string>",
"status": "queued"
}
]
}{
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed"
}
}{
"error": {
"type": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
}
}{
"error": {
"type": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
}
}{
"error": {
"type": "validation.not_found",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-not-found"
}
}{
"error": {
"type": "validation.conflict",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-conflict"
}
}{
"error": {
"type": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
}
}{
"error": {
"type": "runtime.internal",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal"
}
}Cancel an Automation run
Commit cancellation on the original occurrence and stop only its exact accepted child inputs.
POST
/
v1
/
automation_runs
/
{id}
/
cancel
Cancel an Automation run
curl --request POST \
--url https://api.checkfu.com/v1/automation_runs/{id}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'checkfu-version: <checkfu-version>' \
--data '{}'import requests
url = "https://api.checkfu.com/v1/automation_runs/{id}/cancel"
payload = {}
headers = {
"checkfu-version": "<checkfu-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'checkfu-version': '<checkfu-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.checkfu.com/v1/automation_runs/{id}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.checkfu.com/v1/automation_runs/{id}/cancel",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"checkfu-version: <checkfu-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.checkfu.com/v1/automation_runs/{id}/cancel"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("checkfu-version", "<checkfu-version>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.checkfu.com/v1/automation_runs/{id}/cancel")
.header("checkfu-version", "<checkfu-version>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.checkfu.com/v1/automation_runs/{id}/cancel")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["checkfu-version"] = '<checkfu-version>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"type": "automation_run",
"id": "<string>",
"automation_id": "<string>",
"definition_revision": 1,
"agent": {
"type": "agent",
"id": "<string>",
"version": 123
},
"steps": {
"state": "pending",
"result": "completed",
"steps": [
{
"step": "<string>",
"kind": "completed",
"unchanged": true
}
],
"wake_at": "<string>",
"program_fingerprint": "<string>",
"step_attempts": [
{
"step": "<string>",
"attempts": 3
}
],
"step_items": [
{
"step": "<string>",
"total": 1,
"started": 25,
"completed": 25,
"failed": 25,
"rejected": 25,
"refusal": "items_missing"
}
]
},
"session_id": "<string>",
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "<string>"
},
"trigger_context": {
"type": "manual"
},
"created_at": "<string>",
"updated_at": "<string>",
"admission": {
"status": "pending",
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "<string>"
}
},
"execution": {
"status": "not_started",
"wait_reason": "approval",
"cancel_status": "not_requested"
},
"quality": {
"status": "not_requested",
"rounds_completed": 1,
"max_rounds": 1
},
"release": {
"status": "not_requested",
"result": {
"session_id": "<string>",
"input_id": "<string>"
}
},
"settlement": {
"status": "pending",
"usage": {
"data": [
{
"id": "<string>",
"session_id": "<string>",
"run": "<string>",
"attempt": null,
"agent_id": "<string>",
"sequence": 123,
"workspace_id": "<string>",
"principal_id": "<string>",
"anonymous_subject_ref": "<string>",
"recorded_at": "<string>",
"measurement": {
"kind": "managed_tool",
"tool_invocation_id": "<string>",
"selection": {
"managed_tool_id": "<string>",
"managed_tool_release_id": "<string>"
},
"origin": {
"origin_type": "session",
"session_id": "<string>",
"run": "<string>"
},
"price": {
"rate_card_id": "<string>",
"price_microusd": 4503599627370495,
"billing_basis": "valid_result",
"valid_empty_result_billable": true
},
"outcome": {
"outcome_type": "valid_result",
"empty_result": true
}
},
"cost": {
"managed_tool_calls": 1,
"billed_microusd": 4503599627370495,
"rounding_remainder_millionths": 0,
"tokens": "<unknown>",
"active_ms": "<unknown>",
"storage_mib_ms": "<unknown>",
"running_ms": "<unknown>"
},
"automation_id": "<string>",
"evaluation": "<unknown>",
"execution_origin": "<unknown>"
}
],
"next_page": "<string>"
}
},
"cleanup": {
"status": "not_required"
},
"effects": [
{
"type": "memory_proposal",
"memory_store_id": "<string>",
"proposal_id": "<string>"
}
],
"children": [
{
"step_id": "<string>",
"session_id": "<string>",
"input_id": "<string>",
"run_id": "<string>",
"status": "queued"
}
]
}{
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed"
}
}{
"error": {
"type": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
}
}{
"error": {
"type": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
}
}{
"error": {
"type": "validation.not_found",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-not-found"
}
}{
"error": {
"type": "validation.conflict",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-conflict"
}
}{
"error": {
"type": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
}
}{
"error": {
"type": "runtime.internal",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
2026-08-31 Maximum string length:
255Path Parameters
Pattern:
^afire_[0-9a-f]{32}$Body
application/json
The body is of type object.
Response
AutomationRun
Available options:
automation_run Pattern:
^afire_[0-9a-f]{32}$Pattern:
^auto_[0-9a-f]{32}$Required range:
x > 0Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^sess_[0-9a-f]{32}$Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
- Option 1
- Option 2
- Option 3
- Option 4
Show child attributes
Show child attributes
Show child attributes
Show child attributes